Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP

Loading…

Floating point exception #11216

Open
cekimy opened this Issue · 4 comments

3 participants

@cekimy

when i run Phantomjs,i got "Floating point exception"
my sys:Linux version 2.6.16.60-0.21-110407 (gcc version 4.1.2 20070115 (prerelease) (SUSE Linux)) 64bit
and i can't get any useful info from google
how can i fix it?thx

@JamesMGreene
Collaborator
  • What version of PhantomJS?
  • Did you download the binary or compile it from source?
  • What command are you executing to run PhantomJS from the command line?
  • What does your script do?
@cekimy

i downloaded it from https://phantomjs.googlecode.com/files/phantomjs-1.9.0-linux-x86_64.tar.bz2 ,the binary
then i tar&cp it to /usr/local/bin/ and /usr/local/share and another one(forgot)
and the command is just only ">Phantomjs",">Phantomjs -version",no script

@aJanuary

I'm getting the same issue with phantomjs-1.8.1 and phantomjs-1.9.0 downloaded binary on SUSE Linux Enterprise Server 10 (x86_64)

@aJanuary

Running it in gdb gives the following output:

Starting program: /tmp/phantomjs-1.9.0-linux-x86_64/bin/phantomjs
(no debugging symbols found)

Program received signal SIGFPE, Arithmetic exception.
0x00002b22408e768f in do_lookup_x () from /lib64/ld-linux-x86-64.so.2

Googling around seems to suggest this is just a binary incompatibility. Compiling from source will probably fix it.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.